| Kea 3.0.2-git

isc::radius::LeaseTS Class Reference

Create timestamp entry. More...

`#include <radius_accounting.h>`

## Public Member Functions
| LeaseTS (const asiolink::IOAddress &addr, const boost::posix_time::ptime &timestamp)
| Constructor.

## Public Attributes
const asiolink::IOAddress | addr_
| Lease address.
const boost::posix_time::ptime | timestamp_
| Create timestamp.

## Detailed Description

Create timestamp entry.

Associate a lease address (primary key in database) with a create timestamp (only a first seen timestamp when started with a not empty lease database).

Definition at line 48 of file radius_accounting.h.

## Constructor & Destructor Documentation

## ◆ LeaseTS()

isc::radius::LeaseTS::LeaseTS | ( | const asiolink::IOAddress & | addr,
|  | const boost::posix_time::ptime & | timestamp )
| inline

Constructor.

Parameters

  addr | Lease address.
  timestamp | Create (or first seen) timestamp.

Definition at line 55 of file radius_accounting.h.

References addr_, and timestamp_.

## Member Data Documentation

## ◆ addr_

const asiolink::IOAddress isc::radius::LeaseTS::addr_

Lease address.

Definition at line 61 of file radius_accounting.h.

Referenced by LeaseTS().

## ◆ timestamp_

const boost::posix_time::ptime isc::radius::LeaseTS::timestamp_

Create timestamp.

Definition at line 64 of file radius_accounting.h.

Referenced by LeaseTS().

The documentation for this class was generated from the following file:

- radius_accounting.h